macroScript PSD_2_MAX category:"Xylonite Tools" buttonText:"PSD_2_MAX " toolTip:"PSD_2_MAX"
(

CurrentFileName = getFilenameFile maxfilename;
if CurrentFileName == "" then (
	messageBox "SAVE FILE to the scenes folder first"
	)
else
(

with redraw off 
(

MapsFilePath = (maxFilePath + "maps\\");

if ((dotnetclass "System.IO.Directory").exists MapsFilePath) == false then makeDir MapsFilePath;

FileNumber = 1
Flag=0
FileName="PSD_2_MAX_"
BackupMapsFilePath = MapsFilePath + FileName

do
(
	TempMapsFilePath = BackupMapsFilePath + FileNumber as string + ".tif"
	if ((dotnetclass "System.IO.File").exists TempMapsFilePath) == true then (
	FileNumber = FileNumber + 1
	)
	else 	(
		
		Flag = 1
		MapsFilePath = BackupMapsFilePath + FileNumber as string + ".tif"
	)
)
while Flag==0

if (((dotnetclass "System.IO.File").exists ("C:\\PSD_2_MAX_Folder\\PSD_2_MAX.tif")) == true) then
(

--copy temporary file to maps dir
File = dotNetClass "System.IO.File"
File.Copy "C:\\PSD_2_MAX_Folder\\PSD_2_MAX.tif" MapsFilePath

--build material
theMap = openBitMap MapsFilePath
		local theMaterial = StandardMaterial selfIllumAmount:0 
		theMaterial.diffusemap = bitmapTex bitmap:theMap
		theMaterial.diffusemap.coords.blur = 0.01
		showTextureMap theMaterial on	
		if theMap.hasAlpha == true then
		(
		theMaterial.opacityMap = copy theMaterial.diffuseMap
		theMaterial.opacityMap.monoOutput = 1
		theMaterial.opacityMap.coords.blur = 0.01
		)
		theMaterial.name = FileName + FileNumber as string
		
local planeRatio = (theMap.width as float)/(theMap.height as float)		
local theWidth = 300
local theLength = theWidth*(1/PlaneRatio)
		
		--build plane
		local refPlane = plane length:theLength width:theWidth mapCoords:true
		refplane.name = uniqueName "ImagePlane_"
		refPlane.lengthsegs = 1
		refPlane.widthsegs = 1
		refplane.material = theMaterial
		refplane.material.name = getFilenameFile MapsFilePath
		refplane.rotation = (eulerangles -90 0 0)

select refPlane
		
		
--MouseTrack

fn _MoveToMousePos msg ir obj faceNum shift ctrl alt =
(
refPlane.pos=ir.pos
refPlane.dir=ir.dir
)

mouseTrack trackCallBack:_MoveToMousePos
max scale

	--Rotate object if in Perspective
	if (viewport.getType() == #view_persp_user) then rotate $ (angleaxis 90 [1,0,0])

)
else
(
	messageBox "No file found.\nRun PSD_2_MAX in Adobe Photoshop first"
)
)
)
)  